Bug 74405

Summary: [Qt][WK2] Remove statusBarMessageChanged
Product: WebKit Reporter: Jesus Sanchez-Palencia <jesus>
Component: WebKit QtAssignee: Rafael Brandao <rafael.lobo>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, hausmann, webkit.review.bot, zoltan
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 74403    
Attachments:
Description Flags
Patch
none
Patch none

Description Jesus Sanchez-Palencia 2011-12-13 06:12:08 PST
It's common sense that we should rename this API (to statusMessageChanged?!).

Maybe there should also be a statusMessage property, but this needs to be discussed.
Comment 1 Rafael Brandao 2011-12-13 14:41:16 PST
Created attachment 119086 [details]
Patch
Comment 2 Caio Marcelo de Oliveira Filho 2011-12-15 06:46:23 PST
LGTM.
Comment 3 Simon Hausmann 2011-12-16 12:29:21 PST
I'm not too fond of having the property there without any proof that this would actually be useful. We're not even using it ourselves in the mini browser, so how can we be sure it's useful?

Even with the signal I have to wonder: Do other browsers actually use this right now? (It's not used for link hovering)

(I know it's in the WK2 C API, but does anyone know of an example web app/site that uses window.status that works?)
Comment 4 Caio Marcelo de Oliveira Filho 2011-12-16 12:44:34 PST
(In reply to comment #3)
> I'm not too fond of having the property there without any proof that this would actually be useful. We're not even using it ourselves in the mini browser, so how can we be sure it's useful?
> 
> Even with the signal I have to wonder: Do other browsers actually use this right now? (It's not used for link hovering)
> 
> (I know it's in the WK2 C API, but does anyone know of an example web app/site that uses window.status that works?)

Interesting point. It seems that "window.status" itself is not expected to work in HTML5 (even though WebKit supports it).

http://dev.w3.org/html5/spec/Overview.html#dom-window-status
Comment 5 Rafael Brandao 2011-12-16 16:34:34 PST
(In reply to comment #4)
> (In reply to comment #3)
> > I'm not too fond of having the property there without any proof that this would actually be useful. We're not even using it ourselves in the mini browser, so how can we be sure it's useful?
> > 
> > Even with the signal I have to wonder: Do other browsers actually use this right now? (It's not used for link hovering)
> > 
> > (I know it's in the WK2 C API, but does anyone know of an example web app/site that uses window.status that works?)
> 
> Interesting point. It seems that "window.status" itself is not expected to work in HTML5 (even though WebKit supports it).
> 
> http://dev.w3.org/html5/spec/Overview.html#dom-window-status

To be honest, I discovered this feature when I've worked on this bug. Never heard about it before and I'm afraid this can't be very useful as well. If we want to at least support this feature, then maybe we should just have the signal as we had before? The test case could be modified a bit.
Comment 6 Simon Hausmann 2011-12-19 06:05:28 PST
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > I'm not too fond of having the property there without any proof that this would actually be useful. We're not even using it ourselves in the mini browser, so how can we be sure it's useful?
> > > 
> > > Even with the signal I have to wonder: Do other browsers actually use this right now? (It's not used for link hovering)
> > > 
> > > (I know it's in the WK2 C API, but does anyone know of an example web app/site that uses window.status that works?)
> > 
> > Interesting point. It seems that "window.status" itself is not expected to work in HTML5 (even though WebKit supports it).
> > 
> > http://dev.w3.org/html5/spec/Overview.html#dom-window-status
> 
> To be honest, I discovered this feature when I've worked on this bug. Never heard about it before and I'm afraid this can't be very useful as well. If we want to at least support this feature, then maybe we should just have the signal as we had before? The test case could be modified a bit.

This is a great reason for removing the API altogether.
Comment 7 Simon Hausmann 2011-12-19 06:05:47 PST
Comment on attachment 119086 [details]
Patch

r- as it turns out that we should rather remove the status message API altogether.
Comment 8 Simon Hausmann 2011-12-20 06:20:15 PST
Adjusting title to latest conclusions ;-)
Comment 9 Simon Hausmann 2011-12-20 06:24:00 PST
Created attachment 120020 [details]
Patch
Comment 10 WebKit Review Bot 2011-12-20 13:40:57 PST
Comment on attachment 120020 [details]
Patch

Clearing flags on attachment: 120020

Committed r103347: <http://trac.webkit.org/changeset/103347>
Comment 11 WebKit Review Bot 2011-12-20 13:41:02 PST
All reviewed patches have been landed.  Closing bug.